Log a credit

This request logs a credit on a line of credit account.

   Click here to learn more about this request

A credit can be applied to a line of credit account Note the following when using this request:

The LineOfCreditCreditTransactions object holds credit information. This object is nested within the LineOfCredits entity.

Credits cannot be applied before the account's open date and cannot be applied in previous billing cycles. Attempting to do so will result in an error.

Credits are applied broadly to a line of credit account instead of being applied to a specific Bucket. As such, credits affect the account's broad balance information.

For an example of how logging a credit works within the UI, take a look at our Credits article.

Database

For information regarding credit transaction database tables, see the following articles:

Database – Line of Credit Credit Transaction (line_of_credit_credit_transaction_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "entityId": "340",
    "title": "New Credit",
    "status": "lineOfCredit.transactionStatus.active",
    "amount": "100.00",
    "categoryId": 1,
    "paymentTypeId": 1,
    "applyDate": "2025-04-24",
    "description": "",
    "bucketId": 0
}
Path Params
int32
required

The ID of the line of credit account.

Body Params
int32
required

The ID of the line of credit account.

string
required

The title of the credit.
> Limited to 255 characters.

string
enum
required

The status of the credit.

float
required

The dollar amount of the credit.

int32
required

The ID of the category in which the credit is applied.

int32
required

The ID of the payment type.

date
required

The apply date of the credit.
> Formatted as YYYY-MM-DD

string

The description of the credit.
> Limited to 255 characters.

int32
required

The ID of the credit's bucket.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json